Create Top-up Benefit
Creates a wallet top-up benefit definition.
Example curl:
```bash
curl --request POST '{{base_url}}/sp/wallet/topup-benefits/create' \
--header 'Authorization: Bearer {{access_token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"idempotency_key": "{{$timestamp}}-wallet-benefit-create",
"title": "Top Up 100 Get 10",
"amount": 100,
"promo_amount": 10,
"location_id": {{location_id}},
"status": "active"
}'
```
Example success response shape:
```json
{
"success": true,
"message": "Top-up benefit created successfully.",
"data": {
"benefit_id": 1,
"title": "Top Up 100 Get 10",
"amount": 100,
"promo_amount": 10,
"status": "active"
},
"meta": {}
}
```
Example error response shape:
```json
{
"success": false,
"message": "The same idempotency_key cannot be reused with a different payload.",
"error": {
"code": "idempotency_key_reused_with_different_payload",
"details": {}
}
}
```
Common platform errors:
- `idempotency_key_required`
- `sp_scope_not_granted`
- `sp_token_scope_missing`
- `sp_location_not_allowed`
- `legacy_field_not_allowed`
- `query_parameters_not_allowed`
- `invalid_content_type`
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
Authorization
Response
201 Created Example
success
message
data
meta
